
Figure - Bug #118605
IOVDEV-33136【内部】【解决方案】【VC1】【0088】【实车】【EE环境】 副屏进入桌面编辑模式，不操作
等个半小时左右，界面无法点击。下拉栏可以拉出来但也无法点击；
2023-06-07 14:03 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-07

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 冻屏 Estimated time: 0.00 hour

Target version: 依赖客户及其供应商问题List

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【出现时间】：2023.6.7 11：52：00

【前提条件】：

1、车机上电

【操作步骤】：

1、 副屏进入桌面编辑模式，

2、不操作等个半小时左右，

【实际结果】：

界面无法点击。下拉栏可以拉出来但也无法点击

【期望结果】：

不应出现此类无法点击现象

【备 注】：安卓日志已上云

【车 架 号】：LJD8BB3F9P0000385

【环境信息】：EE

【版本详情】：03.02.0088.C103.03

【复归方法】：重启

【数采编号】0340024

History

#1 - 2023-06-07 16:22 - CD APP-王营

- Status changed from New to ASSIGNED

【分析】

根据当前log分析，上层响应了Touch事件，但是看起来卡住了。

Log中中控在持续向副屏发送信号，设置屏幕亮度。

06-07 11:52:30.763  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=149.34299, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=7707209, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=778033164 }

06-07 11:52:30.780  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=152.62643, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=7707226, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=999517104 }

06-07 11:52:30.796  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=154.47385, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=7707243, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=998010004 }

2025-07-04 1/7

#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0


06-07 11:52:30.813  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=129.46222, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=7707259, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=992708539 }

06-07 11:52:30.830  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=137.5, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=7707275, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=648636987 }

06-07 11:52:30.846  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=156.15257, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=7707293, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=117815374 }

06-07 11:52:30.863  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=166.0, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=7707309, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=603326186 }

06-07 11:52:30.885  1566  1566 I service_manager_stats: [100,25,13078]

06-07 11:52:30.896  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=221.55042, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=7707343, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=775354646 }

06-07 11:52:30.918  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent {

action=ACTION_POINTER_DOWN(1), actionButton=0, id0=0, x0=218.0, y0=901.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=165.0, y1=900.0, toolType1

=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=0, eventTime=7707369,

downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=813009878 }

06-07 11:52:30.925  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent {

action=ACTION_POINTER_UP(0), actionButton=0, id0=0, x0=218.0, y0=901.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=165.0, y1=900.0, toolType1

=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=0, eventTime=7707376,

downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=38911686 }

06-07 11:52:30.941  2105 22147 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_HHServer',

destService='FSEM_SettingService', messageType='0', uuid='1686109951725586000', payloadData={

06-07 11:52:30.941  2105 22147 I MicroService:    "dstService" : "FSEM_SettingService",

06-07 11:52:30.941  2105 22147 I MicroService:    "messageType" : 0,

06-07 11:52:30.941  2105 22147 I MicroService:    "methodName" : "sendBrightness",

06-07 11:52:30.941  2105 22147 I MicroService:    "parameters" : {

06-07 11:52:30.941  2105 22147 I MicroService:       "IDCM_BrightValue" : 90

06-07 11:52:30.941  2105 22147 I MicroService:    },

06-07 11:52:30.941  2105 22147 I MicroService:    "srcService" : "IDCM_HHServer",

06-07 11:52:30.941  2105 22147 I MicroService:    "uuid" : 1686109951725586000

06-07 11:52:30.941  2105 22147 I MicroService: }

06-07 11:52:30.941  2105 22147 I MicroService: }

06-07 11:52:30.941  2105 22147 I MicroService: onRequest(sendBrightness): {"IDCM_BrightValue":90}

06-07 11:52:30.941  2129  2210 D MicroSettings: ITCMicroCommonCallback: get request method = sendBrightness parameters = {"IDCM_BrightValue":90}

06-07 11:52:30.942  2105 22147 D MicroService: handleHeartBeat:12437

06-07 11:52:30.947  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=1, x0=146.0, y0=900.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7707393, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=142135133 }

06-07 11:52:30.980  2580  2580 D ViewTouchDebug: mView : DecorView@78860c7[QuickstepLauncher]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=1, x0=156.86009, y0=900.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=7707426, downTime=7705482, deviceId=3, source=0x5002, displayId=0, eventId=421738933 }

【下一步】

模拟屏幕亮度频繁设置，看此现象是否会造成卡顿。

#2 - 2023-06-08 16:14 - CDTS-TEST 周婷

- Category changed from CD-APP to 冻屏
#3 - 2023-06-08 20:20 - CD FW 曹覃刚

-

#4 - 2023-06-08 20:22 - CD FW 曹覃刚

■ 我的分析

视频时间为:14:52:43~14:53:09

在视频期间一直有在操作屏幕

以14:53:05~14:53:10之间举例，看视频可知此时只做了点击操作，但是日志中有大量的MOVE报点和多指报点的日志

这明显是异常的，触摸事件存在多报，错报的情况

同时我们的点击等事件，是响应ACTION_DOWN或者ACTION_UP的，此外的事件不响应是正常的

---------------------------

000393_persist_01832_230607_115304.log:139: 06-07 11:53:06.029  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=159.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7742461, downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=946654338 }

000393_persist_01832_230607_115304.log:140: 06-07 11:53:06.062  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=160.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7742492, downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=956641080 }

000393_persist_01832_230607_115304.log:141: 06-07 11:53:06.069  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent {

action=ACTION_POINTER_DOWN(1), actionButton=0, id0=0, x0=160.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=1473.0, y1=549.0, toolType1

=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=0, eventTime=7742520,

downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=141253565 }

000393_persist_01832_230607_115304.log:142: 06-07 11:53:06.104  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent {

action=ACTION_POINTER_UP(1), actionButton=0, id0=0, x0=160.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=1473.0, y1=549.0, toolType1

=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=0, eventTime=7742555,

downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=608551783 }

000393_persist_01832_230607_115304.log:143: 06-07 11:53:06.119  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=129.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7742570, downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=913252069 }

000393_persist_01832_230607_115304.log:144: 06-07 11:53:06.119  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... .......D 0,0-2560,1080}Receive event : MotionEvent {

action=ACTION_POINTER_DOWN(1), actionButton=0, id0=0, x0=129.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=227.0, y1=902.0, toolType1

=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=0, eventTime=7742570,

downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=1023498742 }

000393_persist_01832_230607_115304.log:145: 06-07 11:53:06.146  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=123.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=250.0, y1=898.0, toolType1=TOOL_TYPE_FINGER, buttonState=0,

classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=1, eventTime=7742590, downTime=7739126, deviceId=3, source=0x5002,

displayId=0, eventId=59937232 }

000393_persist_01832_230607_115304.log:146: 06-07 11:53:06.162  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=130.85014, y0=902.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=255.0, y1=898.0, toolType1=TOOL_TYPE_FINGER, buttonState=0,

classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=1, eventTime=7742609, downTime=7739126, deviceId=3, source=0x5002,

displayId=0, eventId=639886360 }

000393_persist_01832_230607_115304.log:147: 06-07 11:53:06.179  1909  1909 D ViewTouchDebug: mView :
com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=141.12567, y0=902.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=255.0, y1=898.0, toolType1=TOOL_TYPE_FINGER, buttonState=0,

classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=3, eventTime=7742625, downTime=7739126, deviceId=3, source=0x5002,

displayId=0, eventId=828742990 }

000393_persist_01832_230607_115304.log:148: 06-07 11:53:06.196  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=141.12567, y0=902.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=259.5, y1=898.0, toolType1=TOOL_TYPE_FINGER, buttonState=0,

classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=1, eventTime=7742635, downTime=7739126, deviceId=3, source=0x5002,

displayId=0, eventId=35293940 }

000393_persist_01832_230607_115304.log:149: 06-07 11:53:06.219  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent {

action=ACTION_POINTER_UP(1), actionButton=0, id0=0, x0=141.12567, y0=902.0, toolType0=TOOL_TYPE_FINGER, id1=1, x1=258.0, y1=898.0, toolType1

=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=2, historySize=0, eventTime=7742671,

downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=218275135 }

...太多了，省略部分

000393_persist_01832_230607_115304.log:401: 06-07 11:53:09.746  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=156.0, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7746186, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=884539886 }

000393_persist_01832_230607_115304.log:402: 06-07 11:53:09.779  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=157.71849, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=7746225, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=1042108147 }

000393_persist_01832_230607_115304.log:403: 06-07 11:53:09.796  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=158.5, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=7746231, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=983856026 }

000393_persist_01832_230607_115304.log:404: 06-07 11:53:09.812  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=159.0, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7746257, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=847842758 }

000393_persist_01832_230607_115304.log:405: 06-07 11:53:09.829  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=161.5487, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=7746275, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=354809947 }

000393_persist_01832_230607_115304.log:418: 06-07 11:53:09.946  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=162.0, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7746380, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=498951053 }

000393_persist_01832_230607_115304.log:425: 06-07 11:53:10.246  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=162.0, y0=898.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7746684, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=589240422 }

000393_persist_01832_230607_115304.log:426: 06-07 11:53:10.546  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=162.0, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7746980, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=1068556282 }

000393_persist_01832_230607_115304.log:427: 06-07 11:53:10.563  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=3, x0=163.0, y0=901.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7747007, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=1044512200 }

000393_persist_01832_230607_115304.log:443: 06-07 11:53:10.963  1909  1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,
actionButton=0, id0=3, x0=163.0, y0=898.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7747393, downTime=7745041, deviceId=3, source=0x5002, displayId=0, eventId=284958656 }

---------------------------

06-08 16:30:08.288  1914  1914 D ViewTouchDebug: mView : com.android.systemui.statusbar.phone.NotificationShadeWindowView{3da0c9e V.E...... ......I.

0,0-2380,1020}Receive event : MotionEvent { action=ACTION_DOWN, actionButton=0, id0=0, x0=1232.0, y0=904.0, toolType0=TOOL_TYPE_FINGER, buttonState=0,

classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=192118182, downTime=192118182, deviceId=4,

source=0x5002, displayId=0, eventId=152871236 }

06-08 16:30:08.435  1914  1914 D ViewTouchDebug: mView : com.android.systemui.statusbar.phone.NotificationShadeWindowView{3da0c9e V.E...... ........

0,0-2380,1020}Receive event : MotionEvent { action=ACTION_UP, actionButton=0, id0=0, x0=1231.0, y0=903.0, toolType0=TOOL_TYPE_FINGER, buttonState=0,

classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=192118332, downTime=192118182, deviceId=4,

source=0x5002, displayId=0, eventId=289167950 }

//正常的点击如上，以点击控制中心的"设置中心"按钮距离

■ 下一步计划

需要分析为什么, 存在多报错报的情况

#5 - 2023-06-08 22:29 - CD FW-田成财

- Assignee changed from CD APP-王营 to CD BSP-杜磊

杜san，

000393_persist_01832_230607_115304.log:139: 06-07 11:53:06.029 1909 1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=159.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7742461, downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=946654338 }

如上边覃刚分析，在视频上对应的时间点内用户并没有点击（159,902）位置点，请分析是否是错报或鬼手

#6 - 2023-06-12 11:36 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD APP-王营

从附件视频和TP中断响应来看，11:53分下拉菜单可以滑动，说明此时TP没有失效，且TP报点正常。

如下是TP的中断log, TP中断产生正常，视频种不断触摸，且中断数也在持续增加，驱动有报点,无异常。

从11:51到11:55, TP中断持续产生，上报坐标

Wed Jun  7 11:52:40 CST 2023 350:     365041          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Wed Jun  7 11:53:40 CST 2023 350:     368909          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Wed Jun  7 11:54:10 CST 2023 350:     370750          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Wed Jun  7 11:54:40 CST 2023 350:     372369          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

Wed Jun  7 11:55:10 CST 2023 350:     374145          0          0          0          0          0          0          0   msmgpio   7 Edge      atmel_mxt_ts

需要AF check上层是否漏掉了或者未处理坐标数据或者无响应。

另外，此问题发生时，可以使用 adb shell getevent 来查看TP坐标报点

#7 - 2023-06-12 19:09 - CD APP-王营

- Assignee changed from CD APP-王营 to CD BSP-杜磊
如下是TP的中断log, TP中断产生正常，视频种不断触摸，且中断数也在持续增加，驱动有报点,无异常。

问题发生时确实有报点发生，有事件输入

000393_persist_01832_230607_115304.log:139: 06-07 11:53:06.029 1909 1909 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{470c1d V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=159.0, y0=902.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=7742461, downTime=7739126, deviceId=3, source=0x5002, displayId=0, eventId=946654338 }

如上边覃刚分析，在视频上对应的时间点内用户并没有点击（159,902）位置点，请分析是否是错报或鬼手

此处存在多报和误报，这个是需要确认的,请从以下两个方面进行分析：

1.坐标（x0=159.0, y0=902.0）为屏幕的左下角，但是视频中用户并没有点击此位置，这个误报，需要分析一下。

2.用户呼出控制中心后执行的是点击动作，但是log中在此阶段上报了大量的MOVE事件，这是不正常的，需要分析一下。

此问题为偶现问题，客户上报，当前无法复现使用getevent来确认底层事件。

#8 - 2023-06-13 17:36 - CD BSP-杜磊

- Target version set to 依赖客户及其供应商问题List

坐标（x0=159.0, y0=902.0）为屏幕的左下角，但是视频中用户并没有点击此位置，此坐标为TP内部产生的鬼点，即非人为触摸，tp内部自动产生的报点

。TP驱动无法识别和处理，

依赖：

　　需要TP厂商进行TP固件效果调试，抑制鬼手产生。

#9 - 2023-06-15 18:30 - CDTS_TEST 王成

- Severity changed from Major to Critical

#10 - 2023-06-20 09:58 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD TPM-王祥林

#11 - 2023-07-03 20:27 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD BSP-余霄

余霄

请和屏端确认和联调新固件，等集成新固件并且没有其他问题后，走一下这个票的状态。

#12 - 2023-07-12 10:43 - CD BSP-余霄

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CD TEST-方永红

- % Done changed from 0 to 100
新固件在该票中进行更新，此票关闭

https://share.thundersoft.com/redmine/issues/118821

#13 - 2023-07-17 17:43 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#14 - 2023-07-17 17:43 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

1686117676957.zip 14 MB 2023-06-07 CD TEST-方永红

7-.mp4 5.49 MB 2023-06-07 CD TEST-方永红
